petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecSetBlockSize

Sets the blocksize for future calls to VecSetValuesBlocked() and VecSetValuesBlockedLocal().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetBlockSize(Vec v,PetscInt bs)

Logically Collective on Vec

### Input Parameter

| v | - the vector
| bs | - the blocksize

### Notes

All vectors obtained by VecDuplicate() inherit the same blocksize.

### See Also

VecSetValuesBlocked(), VecSetLocalToGlobalMapping(), VecGetBlockSize()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex12.c.html
src/vec/vec/examples/tutorials/ex16.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/vec/vec/examples/tutorials/ex11f90.F90.html
src/vec/vec/examples/tutorials/ex12f.F90.html
src/vec/vec/examples/tutorials/ex16f.F90.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages